mxGraphModel.mxRootChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxRootChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxRootChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxRootChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `previous` Holds the new and previous root cell.
`protected Object` | `root` Holds the new and previous root cell.

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxRootChange()`
`mxGraphModel.mxRootChange(mxGraphModel model, Object root)`

Method Summary
`void` | `execute()` Changes the root of the model.
`Object` | `getPrevious()`
`Object` | `getRoot()`
`void` | `setPrevious(Object value)`
`void` | `setRoot(Object value)`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected Object root

  Holds the new and previous root cell.

### previous

    protected Object previous

  Holds the new and previous root cell.

Constructor Detail

### mxGraphModel.mxRootChange

    public mxGraphModel.mxRootChange()

### mxGraphModel.mxRootChange

    public mxGraphModel.mxRootChange(mxGraphModel model,
                                     Object root)

Method Detail

### setRoot

    public void setRoot(Object value)

### getRoot

    public Object getRoot()

  Returns:
    the root

### setPrevious

    public void setPrevious(Object value)

### getPrevious

    public Object getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.